Bug 123812

Summary: REGRESSION (r154616): Accelerated drawing is off during the initial load
Product: WebKit Reporter: Tim Horton <thorton>
Component: WebKit2Assignee: Andreas Kling <kling>
Status: RESOLVED FIXED    
Severity: Normal CC: andersca, commit-queue, kling, simon.fraser
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
thorton: review+
Patch for landing none

Description Tim Horton 2013-11-05 11:20:39 PST
In Safari, if you have "new tabs open with empty page" and "show compositing borders" on, opening a new window will result in white repaint counters on the tiles, indicating that accelerated drawing is not being used for the tiles. Subsequent navigations will do the right thing.

This regressed in kling's http://trac.webkit.org/changeset/154616 -- I'm guessing the part in WebPage.cpp where the DrawingArea construction was reordered, but could be something else.
Comment 1 Andreas Kling 2016-03-01 10:20:15 PST
Created attachment 272573 [details]
Patch
Comment 2 Simon Fraser (smfr) 2016-03-01 10:32:46 PST
Comment on attachment 272573 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=272573&action=review

> Source/WebCore/ChangeLog:8
> +        Robustify the hey-the-Settings-changed callbacks in Page to handle document-less frames.

Can you explain here how this is related to the other change?
Comment 3 Andreas Kling 2016-03-01 12:30:32 PST
Created attachment 272586 [details]
Patch for landing
Comment 4 WebKit Commit Bot 2016-03-01 13:20:38 PST
Comment on attachment 272586 [details]
Patch for landing

Clearing flags on attachment: 272586

Committed r197409: <http://trac.webkit.org/changeset/197409>
Comment 5 WebKit Commit Bot 2016-03-01 13:20:42 PST
All reviewed patches have been landed.  Closing bug.
Comment 6 Simon Fraser (smfr) 2016-03-11 10:57:53 PST
This regressed some stuff http://trac.webkit.org/changeset/197452